Page MenuHomePhabricator

User test the slider prototype for RevisionJumper [AOI]
Closed, DeclinedPublic

Description

Once the slider prototype for RevisionJumper is ready we should do some user testing on it. This would involve two things:

  1. Advertising it at https://en.wikipedia.org/wiki/User_talk:DerHexer/revisionjumper and getting some feedback from existing RevisionJumper users.
  2. Getting the Design Research team to help us with a small user test run involving both experienced Wikipedians and newbies (perhaps recruited from WMF staff).

Acceptance criteria: Write up a summary of comments and feedback from test users (including existing RevisionJumper users, experienced Wikipedia editors, and Wikipedia newbies) about the usefulness and usability of the prototype along with any suggestions for improvement.

Event Timeline

kaldari created this task.Sep 29 2015, 8:31 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 8:31 PM
kaldari triaged this task as Normal priority.Sep 29 2015, 8:31 PM
kaldari moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
kaldari set Security to None.

There's a ticket for a quick prototype of a RevisionSlider, which might be an add-on for the RevisionJumper work.

See T114335: [AOI] Prototype for RevisionSlider

I'm going to repurpose this card for user testing the slider prototype...

kaldari renamed this task from [AOI] Investigation: Can improve the interface to RevisionJumper? to [AOI] User test the slider prototype for RevisionJumper.Oct 8 2015, 10:02 PM
kaldari updated the task description. (Show Details)
kaldari moved this task from Ready to Q3 2018-19 on the Community-Tech-Sprint board.
DannyH renamed this task from [AOI] User test the slider prototype for RevisionJumper to User test the slider prototype for RevisionJumper [AOI].Oct 28 2015, 7:05 PM
Niharika claimed this task.Nov 2 2015, 10:25 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Hi @aripstra, we were looking to run some UX testing on the RevisionSlider gadget that we developed. It's a slider that shows a bunch of past revisions that one can hover on for more information or click to view the revision. We'd like some experienced community members and perhaps also some WMF staff to participate in the testing. Can you help us with this? :)
Thanks!

Izno added a subscriber: Izno.Nov 11 2015, 12:57 PM
Krenair added a subscriber: Krenair.

I talked to Moiz today about RevSlider, and he's interested in giving us a little pro bono designer time. :)

He suggested "sparklines" as a possible addition to the slider -- using the positive and negative byte count to represent revisions where there's been a big change. The screenshot here is an example from Internet Archive.

I'm going to set up some time with Moiz to really look at this stuff, probably next week.

Tobi_WMDE_SW closed this task as Resolved.May 11 2016, 11:46 AM
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.

@DannyH @Niharika closing this now, since I assume the user testing of the original prototype has happened and we are now already a few steps ahead.

What was the result of that user test?

Niharika changed the task status from Resolved to Declined.May 11 2016, 1:10 PM

Hi @Tobi_WMDE_SW, @Jan_Dittrich, we never got around to doing this as our team moved on to Community Wishlist tasks. Closing as Declined instead.

@Jan_Dittrich The Wikimedia Deutschland technical wishes team has taken this idea, and made a new extension -- see T131676: Improve the UX of the diff page with a revision slider prototype

@Jan_Dittrich Oh, but you knew that, because you're the new designer. Hi. :)

Tobi_WMDE_SW moved this task from Incoming to Done on the Revision-Slider board.Jul 5 2016, 2:33 PM